Type to search.

Get snapshot lifecycle management statistics

  • GET /_slm/stats
Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 7.5 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Get global and policy-level statistics about actions taken by snapshot lifecycle management.

Required privileges

Cluster privileges manage_slm

Query parameters

master_timeout union oneOf · default: 30s

Period to wait for a connection to the master node. If no response is received before the timeout expires, the request fails and returns an error.

Values: -1 0
timeout union oneOf · default: 30s

Period to wait for a response. If no response is received before the timeout expires, the request fails and returns an error.

Values: -1 0

Response

application/json
retention_deletion_time union oneOf required
Values: -1 0
retention_deletion_time_millis number required
retention_failed number required
retention_runs number required
retention_timed_out number required
total_snapshots_deleted number required
total_snapshot_deletion_failures number required
total_snapshots_failed number required
total_snapshots_taken number required
policy_stats object[] required
policy string required
snapshots_taken number required
snapshots_failed number required
snapshots_deleted number required
snapshot_deletion_failures number required